function result=Start_PScoreTest(Model);


if isfield(Model,'Exclude')
   Exclude=Model.Exclude;
else
    Exclude=[];
end
list=Model.list;
level=Model.level;
PScoreModel=Model.PScoreModel;
Test=Model.Test;
Start=datenum(Model.Start);
End=datenum(Model.End);
numlev=size(level,1);

D=Model.D;
X=Model.X;
phat=Model.phat;
cut=Model.cut;
xb=Model.xb;
NonRedList=Model.NonRedList;
CutOff=Model.CutOff;
PScoreModel=Model.PScoreModel;
Test=Model.Test;
dn=Model.dn;
dx=Model.MeetingMonth;
BSRep=Model.BSRep;



if isnan(Model.BST)
        result1=zeros(74,2);
        for j=1:size(Model.z,2)
            z=Model.z(j).cov;

            [b,c]=FindHighOrderKern(1);            

            %single period results
            for i=1:1  %this used to be 12 or 36
                disp(['Cov Number:', num2str(j)]);
                result1(i,:)=CondIndTestMN(z(:,i),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
            end
            result(:,j)=result1(:,2);
        end %for
else
        [b,c]=FindHighOrderKern(1);            
        result1=zeros(74,6);
        for j=1:size(Model.z,2)
            z=Model.z(j).cov;
            tic;
            %single period results
            disp(['Cov Number:', num2str(j)]);
            for i=1:1  %this used to be 12 or 36
                result1(i,:)=CondIndTestMNB(z(:,i),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude,BSRep);
            end
            result(:,j)=result1(i,:)';
            t=toc;
            disp(['Time:' num2str(t)]);    
        end %for
end

%{
z=[];
for j=2:size(Model.z,2)
    zj=Model.z(j).cov;
    zj=zj(:,1);
    z=[z zj];
end
    
%[b,c]=FindHighOrderKern(size(z,2));
%res=CondIndTestMN(z,D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
%result(13,1)=res(:,2);
%[b,c]=FindHighOrderKern(size(X,2)-1); %omitt constant from X
%res=CondIndTestMN(X(:,1:end-1),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
%result(14,1)=res(:,2);
%}
return


%%% This code can be included in for loop if needed

    %3 period results
    [b,c]=FindHighOrderKern(3);
    for i=1:12
        result1(i+36,:)=CondIndTestMN(z(:,(i-1)*3+1:i*3),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
    end

    %3 month change
    [b,c]=FindHighOrderKern(1);
    for i=1:12
        result1(i+48,:)=CondIndTestMN(sum(z(:,(i-1)*3+1:i*3)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
    end

    %6 month change
    [b,c]=FindHighOrderKern(1);
    for i=1:6
        result1(i+60,:)=CondIndTestMN(sum(z(:,(i-1)*6+1:i*6)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
    end

    %3 year change
    [b,c]=FindHighOrderKern(1);
    result1(67,:)=CondIndTestMN(sum(z(:,1:36)')',D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);



    %6 month change
    [b,c]=FindHighOrderKern(6);
    for i=1:6
        result1(i+67,:)=CondIndTestMN(z(:,(i-1)*6+1:i*6),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);
    end

    [b,c]=FindHighOrderKern(36);
    disp(36);
    result1(74,:)=CondIndTestMN(z(:,1:36),D,X,phat,xb,cut,CutOff,PScoreModel,Test,dn,b,c,list,NonRedList,dx,Exclude);


    

