*OPROBIT

# delimit ;

preserve;

oprobit dtarg delta_FF_old
gray0 gray1 gray2
igry0 igry1 igry2 
grad2
innovation 
if sample==1
;

# delimit cr

mat A=J(12,11,0)

mat B=e(b)
mat C=e(V)
mat A[1,1]=B
mat A[2,1]=C
drop _all
svmat A
//tokenize M M 0 P
//foreach x in 0 1 2 3 {
//local w=`x'*19
local y=1
disp `y'
//local z=abs(`x'-2)/.04
//disp `z'
rename A`y' delta_FF_old
local y=`y'+1
rename A`y' gray0
local y=`y'+1
rename A`y' gray1
local y=`y'+1
rename A`y' gray2
local y=`y'+1
rename A`y' igry0
local y=`y'+1
rename A`y' igry1
local y=`y'+1
rename A`y' igry2
local y=`y'+1
rename A`y' grad2
local y=`y'+1
rename A`y' innovation
local y=`y'+1
rename A`y' cut1
local y=`y'+1
rename A`y' cut2
//macro shift
//}
gen estimate=""
gen variable=""
replace estimate="COV" 
replace estimate="PARMS" in 1

//tokenize M M 0 P
//foreach x in 0 1 2 3 {
//local w=`x'*19
local y=2
//local z=abs(`x'-2)/.04
replace variable="delta_FF_old" in `y'
local y=`y'+1
replace variable="gray0" in `y'
local y=`y'+1
replace variable="gray1" in `y'
local y=`y'+1
replace variable="gray2" in `y'
local y=`y'+1
replace variable="igry0" in `y'
local y=`y'+1
replace variable="igry1" in `y'
local y=`y'+1
replace variable="igry2" in `y'
local y=`y'+1
replace variable="grad2" in `y'
local y=`y'+1
replace variable="innovation" in `y'
local y=`y'+1
replace variable="cut1" in `y'
local y=`y'+1
replace variable="cut2" in `y'
local y=`y'+1
//macro shift
//}

# delimit ;

order estimate variable;

outsheet using 3vals_oprobit_parests_9vars_bin.txt, replace;

restore;

preserve;

qui oprobit dtarg delta_FF_old
gray0 gray1 gray2
igry0 igry1 igry2 
grad2
innovation if sample==1
;

predict phat_M25 phat_0 phat_P25;

predict score_B score_cut1 score_cut2, scores;

sum phat_M25 phat_0 phat_P25;

sum score_B score_cut1 score_cut2;

keep  if sample==1;

keep year month 
dtarg delta_FF_old
gray0 gray1 gray2
igry0 igry1 igry2 
grad2
innovation 
phat_M25 phat_0 phat_P25
score_B score_cut1 score_cut2;

order year month 
dtarg delta_FF_old
gray0 gray1 gray2
igry0 igry1 igry2 
grad2
innovation 
phat_M25 phat_0 phat_P25
score_B score_cut1 score_cut2;

sort year month;

outsheet using 3vals_oprobit_score_9vars_bin.txt, replace;
