local model="9vars"
local varlist="delta_FF_old gray0 gray1 gray2 igry0 igry1 igry2 grad2 innovation"

use model_data_239, clear
//use model_data_238, clear

# delimit ;

preserve;

*OPROBIT;

oprobit dtarg `varlist' if sample==1;

# delimit cr

la var dtarg pcipnsa_1q
gen cumul=pcipnsa_1q
oprobit dtarg cumul `varlist' if sample==1

estout using sims9vars_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l ti("T stats and p-values on cumulative change, 9 var model, oprobit. P-values in brackets.") replace

foreach x of varlist pcipnsa_2q-pcipnsa_3y {
la var dtarg `x'
replace cumul=`x'
oprobit dtarg cumul `varlist' if sample==1

estout using sims9vars_pvals_oprobit.txt, keep(cumul) cells(t p(par("[" "]"))) l append
}
