function [theta,sigma]=FindHighOrderKern(k);
global theta_ sigma_ k_
k_=k;
theta=ones(k,1);
sigma=ones(k,1);
lambda=1;
[x,FVAL,EXITFLAG,OUTPUT] = FMINSEARCH(@BierensC,[theta' sigma']');
theta=x(1:k,1);
sigma=x(k+1:2*k,1);
sigma_=sigma;
theta_=theta;
n=sqrt(abs(prod(sigma)));
sigma=sigma/n;
return

function b=BierensC(x);
k=(size(x,1))/2;
theta=x(1:k,1);
sigma=x(k+1:2*k,1);
b=(theta'*ones(k,1)-1)^2;
for i=1:k
    b=b+(theta'*((sigma).^(2*i)))^2;
end
return

