function SummaryPST3val_B(Type,PSM,bs)

Model=struct('Start','','End','','Variables','','Type','');


%supported Model Types:
% parset1
% parset2

Model.list=[1]; %list of choice categories to be included in test
Model.Type=Type;
Model.Start='31-Dec-1960';
Model.End='1-Jan-1997';
Model.level=[-.25,0,.25]';
Model.Test='Unconditional';
Model.PScoreModel=PSM;
Model.Exclude=[];
Model.BST=bs; %Bootstrap Type
Model.BSRep=200; %number of bootstrap replications
%Model.ExTyp='g95';
%Exclude dates based on condition: b5-95=> phat>.95 or phat<.0005
Model.ExTyp='b5-95';

fid1=fopen(['PSTest_Results_FForm_1' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt']);
fid2=fopen(['PSTest_Results_FForm_2' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt']);
fid3=fopen(['PSTest_Results_FForm_3' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt']);
fid4=fopen(['PSTest_Results_FForm_4' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt']);
fid9=fopen(['PSTest_Results_FForm_5' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt']);

dlmwrite(['PSTest_Summary_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],[],'delimiter','');
title1=['Specification Tests for ' Model.PScoreModel '_' Model.Type];
title2=['Policy Type' char([9 9]) ' -.5' char([9 9 9])  '-.25'  char([9 9 9])  '.25' char([9 9 9])  '.5' char([9 9 9]) 'All'];
dlmwrite(['PSTest_Summary_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],title1,'-append','delimiter','');
dlmwrite(['PSTest_Summary_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],title2,'-append','delimiter','');
dlmwrite(['PSTest_Summary_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],' ','-append','delimiter','');
i=1;
       text=[['pcipn' char([9 9])]    ;
            ['dFFol' char([9 9])]; 
            ['graym' char([9 9])]; 
            ['gray0' char([9 9])]; 
            ['gray1' char([9 9])]; 
            ['gray2' char([9 9])]; 
            ['igrym' char([9 9])];        
            ['igry0' char([9 9])]; 
            ['igry1' char([9 9])]; 
            ['igry2' char([9 9])]; 
            ['gradm' char([9 9])]; 
            ['grad0' char([9 9])]; 
            ['grad1' char([9 9])]; 
            ['grad2' char([9 9])]; 
            ['igrdm' char([9 9])]; 
            ['igrd0' char([9 9])]; 
            ['igrd1' char([9 9])]; 
            ['igrd2' char([9 9])]; 
            ['innov' char([9 9])];
            ['gdp_1' char([9 9])]; 
            ['gdp_2' char([9 9])]; 
            ['gdp_3' char([9 9])]; 
            ['gdp_4' char([9 9])]; 
            ['gdp_5' char([9 9])];        
            ['gdp_6' char([9 9])]; 
            ['gdp_7' char([9 9])]; 
            ['gdp_8' char([9 9])]; 
            ['gdp_9' char([9 9])]; 
            ['Inf_1' char([9 9])]; 
            ['Inf_2' char([9 9])]; 
            ['Inf_3' char([9 9])]; 
            ['Inf_4' char([9 9])]; 
            ['Inf_5' char([9 9])];        
            ['Inf_6' char([9 9])]; 
            ['Inf_7' char([9 9])]; 
            ['Inf_8' char([9 9])]; 
            ['Inf_9' char([9 9])];]; 
while 1
    t1=fgetl(fid1);
    t2=fgetl(fid2);
    t3=fgetl(fid3);    
    t4=fgetl(fid4);
    t5=fgetl(fid9);    
    if ~ischar(t1),   break,   end
    tline = [text(i,:) t1 t2 t3 t4 t5];
    dlmwrite(['PSTest_Summary_' Model.PScoreModel Model.Type Model.ExTyp Model.BST '.txt'],tline,'-append','delimiter','');
    i=i+1;
end
fclose(fid1);
fclose(fid2);
fclose(fid3);
fclose(fid4);
fclose(fid9);
